ML Prep API (v1)
Download OpenAPI description
Languages
Servers
Mock server
http://{{your_prep_ip_address}}/
- Mock server
http://{{your_prep_ip_address}}/api/v1/settings/software-settings
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/settings/software-settings' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
{ "hideKeyboard": true, "generateRunReport": true, "allowRedWarningOverride": true, "defaultAmbientTemperature": 0 }
Body
- application/json-patch+json
- application/json
- text/json
- application/*+json
Whether or not a run report should be generated at the end of running a protocol
Whether or not errors during the camera verification of a protocol can be overrided
- Mock server
http://{{your_prep_ip_address}}/api/v1/settings/software-settings
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'http://{{your_prep_ip_address}}/api/v1/settings/software-settings' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json-patch+json' \
-d '{
"hideKeyboard": true,
"generateRunReport": true,
"allowRedWarningOverride": true,
"defaultAmbientTemperature": 0
}'- Mock server
http://{{your_prep_ip_address}}/api/v1/settings/policy-settings
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/settings/policy-settings' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
{ "maximumLoginAttempts": 0, "lockTimeout": 0, "passwordExpires": 0, "passwordExpiresNotification": 0, "minimumPasswordLength": 0, "inactiveLogout": 0, "logoutCountdown": 0, "enableUserManagement": true }